import { HTagType } from '../../types/HTag';
import { DisplayVariantType, TitleVariantType } from '../../types/HeadingVariant';
export declare class TeliaHeading {
  private static tags;
  /**
   * The tag to render. This is mandatory.
   */
  tag: HTagType;
  /**
   * Determines the appearance of the text.
   *
   */
  variant: TitleVariantType | DisplayVariantType;
  /** Tracking id is used to identify and count Component usage */
  private dataTrackingId;
  validateTag(newValue: string): void;
  connectedCallback(): void;
  render(): any;
  private validateHTag;
}
